curl --request POST \
--url https://schoolmaker.co/api/v1/section_groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"program_id": "PROGRAM_ID",
"name": "Getting started",
"position": 1
}
'{
"id": "GROUP_ID",
"product_id": "PROGRAM_ID",
"name": "Getting started",
"position": 1
}{
"error": "Access denied"
}{
"error": "You do not have permission to perform this action"
}{
"error": "Record not found"
}{
"error": "Invalid arguments"
}{
"error": "Too many requests"
}Section Groups
Create a Section Group
Creates an empty section group in a program.
POST
/
section_groups
curl --request POST \
--url https://schoolmaker.co/api/v1/section_groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"program_id": "PROGRAM_ID",
"name": "Getting started",
"position": 1
}
'{
"id": "GROUP_ID",
"product_id": "PROGRAM_ID",
"name": "Getting started",
"position": 1
}{
"error": "Access denied"
}{
"error": "You do not have permission to perform this action"
}{
"error": "Record not found"
}{
"error": "Invalid arguments"
}{
"error": "Too many requests"
}Authorizations
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
Was this page helpful?